// https://www.electron.build/configuration/configuration
module.exports = {
   
    "productName": "阿里云影视云盘",
    "appId": "com.alicloud.movie",
    "artifactName": "alicloud-movie-${version}-${os}-${arch}.${ext}",
    "copyright": "Copyright  2019 Alicloud",
    "electronDownload": {
      "mirror": "https://npm.taobao.org/mirrors/electron/"
    },
    "directories": {
      "output": "build"
    },
    "extraResources": [
      "custom/*"
    ],
    "files": [
      "src/**/*",
      "static/**/*",
      "prebuilt/**/*"
    ],
    "dmg": {
      "window": {
        "x": 400,
        "y": 100,
        "width": 540,
        "height": 380
      },
      "contents": [
        {
          "x": 410,
          "y": 220,
          "type": "link",
          "path": "/Applications"
        },
        {
          "x": 130,
          "y": 220,
          "type": "file"
        }
      ]
    },
    "mac": {
      "icon": "custom/icon.icns",
      "target": [
        "zip",
        "dmg"
      ]
    },
    "win": {
      "icon": "custom/icon.ico",
      "target": [
        "nsis",
        "zip"
      ]
    },
    "linux": {
      "icon": "static",
      "target": [
        "AppImage",
        "tar.gz",
        "rpm",
        "deb"
      ]
    },
    "nsis": {
      "allowElevation": false,
      "allowToChangeInstallationDirectory": true,
      "oneClick": false,
      "perMachine": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true
    }
  }